Get Credit Summary
get
/v1/graphs/{graph_id}/creditsPart of Credits.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph database identifier |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/credits" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
graph_idrequired | string | |
graph_tierrequired | string | |
current_balancerequired | number | |
monthly_allocationrequired | number | |
consumed_this_monthrequired | number | |
transaction_countrequired | integer | |
usage_percentagerequired | number | |
last_allocation_dateoptional | string |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |